# example.js

``` javascript
function getTemplate(templateName, callback) {
	require.ensure([], function(require) {
		callback(require("../require.context/templates/"+templateName)());
	});
}
getTemplate("a", function(a) {
	console.log(a);
});
getTemplate("b", function(b) {
	console.log(b);
});
```

# js/output.js

``` javascript
/******/ (function webpackBootstrap(modules) {
/******/ 	var installedModules = {};
/******/ 	var installedChunks = {0:0};
/******/ 	function require(moduleId) {
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/ 		modules[moduleId].call(null, module, module.exports, require);
/******/ 		module.loaded = true;
/******/ 		return module.exports;
/******/ 	}
/******/ 	require.e = function requireEnsure(chunkId, callback) {
/******/ 		if(installedChunks[chunkId] === 0) return callback.call(null, require);
/******/ 		if(installedChunks[chunkId] !== undefined)
/******/ 			installedChunks[chunkId].push(callback);
/******/ 		else {
/******/ 			installedChunks[chunkId] = [callback];
/******/ 			var head = document.getElementsByTagName('head')[0];
/******/ 			var script = document.createElement('script');
/******/ 			script.type = 'text/javascript';
/******/ 			script.charset = 'utf-8';
/******/ 			script.src = modules.c+""+chunkId+".output.js";
/******/ 			head.appendChild(script);
/******/ 		}
/******/ 	};
/******/ 	require.modules = modules;
/******/ 	require.cache = installedModules;
/******/ 	window["webpackJsonp"] = function webpackJsonpCallback(chunkIds, moreModules) {
/******/ 		var moduleId, chunkId, callbacks = [];
/******/ 		while(chunkIds.length) {
/******/ 			chunkId = chunkIds.shift();
/******/ 			if(installedChunks[chunkId]) callbacks.push.apply(callbacks, installedChunks[chunkId]);
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules)
/******/ 			modules[moduleId] = moreModules[moduleId];
/******/ 		while(callbacks.length)
/******/ 			callbacks.shift().call(null, require);
/******/ 	};
/******/ 	return require(0);
/******/ })({
/******/ c: "",

/***/ 0:
/*!********************!*\
  !*** ./example.js ***!
  \********************/
/***/ function(module, exports, require) {

	function getTemplate(templateName, callback) {
		require.e/*nsure*/(1, function(require) {
			callback(require(/*! ../require.context/templates */ 1)("./"+templateName)());
		});
	}
	getTemplate("a", function(a) {
		console.log(a);
	});
	getTemplate("b", function(b) {
		console.log(b);
	});

/***/ }
/******/ })

```

# js/1.output.js

``` javascript
webpackJsonp([1], {

/***/ 1:
/*!*********************************************!*\
  !*** ../require.context/templates ^\.\/.*$ ***!
  \*********************************************/
/***/ function(module, exports, require) {

	var map = {
		"./a": 2,
		"./a.js": 2,
		"./b": 3,
		"./b.js": 3,
		"./c": 4,
		"./c.js": 4
	};
	function webpackContext(req) {
		return require(webpackContextResolve(req));
	};
	function webpackContextResolve(req) {
		return map[req] || (function() { throw new Error("Cannot find module '" + req + "'.") }());
	};
	webpackContext.keys = function webpackContextKeys() {
		return Object.keys(map);
	};
	webpackContext.resolve = webpackContextResolve;
	module.exports = webpackContext;
	

/***/ },

/***/ 2:
/*!*****************************************!*\
  !*** ../require.context/templates/a.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template A";
	}

/***/ },

/***/ 3:
/*!*****************************************!*\
  !*** ../require.context/templates/b.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template B";
	}

/***/ },

/***/ 4:
/*!*****************************************!*\
  !*** ../require.context/templates/c.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template C";
	}

/***/ }

})
```

# Info

## Uncompressed

```
Hash: 64794fb1a8ae78099ec51cabeb1a694e
Time: 37ms
      Asset  Size  Chunks  Chunk Names
  output.js  2364       0  main       
1.output.js  1589       1             
chunk    {0} output.js (main) 276
    [0] ./example.js 276 [built] {0}
chunk    {1} 1.output.js 463 {0} 
    [1] ../require.context/templates ^\.\/.*$ 217 [built] {1}
        cjs require context ../require.context/templates [0] ./example.js 3:11-64
    [2] ../require.context/templates/a.js 82 [built] {1}
        context element ./a [1] ../require.context/templates ^\.\/.*$
        context element ./a.js [1] ../require.context/templates ^\.\/.*$
    [3] ../require.context/templates/b.js 82 [built] {1}
        context element ./b [1] ../require.context/templates ^\.\/.*$
        context element ./b.js [1] ../require.context/templates ^\.\/.*$
    [4] ../require.context/templates/c.js 82 [built] {1}
        context element ./c [1] ../require.context/templates ^\.\/.*$
        context element ./c.js [1] ../require.context/templates ^\.\/.*$
```

## Minimized (uglify-js, no zip)

```
Hash: 64794fb1a8ae78099ec51cabeb1a694e
Time: 154ms
      Asset  Size  Chunks  Chunk Names
  output.js   792       0  main       
1.output.js   531       1             
chunk    {0} output.js (main) 276
    [0] ./example.js 276 [built] {0}
chunk    {1} 1.output.js 463 {0} 
    [1] ../require.context/templates ^\.\/.*$ 217 [built] {1}
        cjs require context ../require.context/templates [0] ./example.js 3:11-64
    [2] ../require.context/templates/a.js 82 [built] {1}
        context element ./a [1] ../require.context/templates ^\.\/.*$
        context element ./a.js [1] ../require.context/templates ^\.\/.*$
    [3] ../require.context/templates/b.js 82 [built] {1}
        context element ./b [1] ../require.context/templates ^\.\/.*$
        context element ./b.js [1] ../require.context/templates ^\.\/.*$
    [4] ../require.context/templates/c.js 82 [built] {1}
        context element ./c [1] ../require.context/templates ^\.\/.*$
        context element ./c.js [1] ../require.context/templates ^\.\/.*$
```
