
# example.js

``` javascript
var Worker = require("worker!./worker");
var worker = new Worker;
worker.postMessage("b");
worker.onmessage = function(event) {
	var templateB = event.data; // "This text was generated by template B"
}
```

# worker.js

``` javascript
onmessage = function(event) {
	var template = event.data;
	require(["../require.context/templates/" + event.data], function(tmpl) {
		postMessage(tmpl());
	});
}

```

# js/output.js

``` javascript
/******/ (function webpackBootstrap(modules) {
/******/ 	var installedModules = {};
/******/ 	function require(moduleId) {
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/ 		modules[moduleId].call(null, module, module.exports, require);
/******/ 		module.loaded = true;
/******/ 		return module.exports;
/******/ 	}
/******/ 	require.e = function requireEnsure(chunkId, callback) {
/******/ 		callback.call(null, require);
/******/ 	};
/******/ 	require.modules = modules;
/******/ 	require.cache = installedModules;
/******/ 	return require(0);
/******/ })({
/******/ c: "",

/***/ 0:
/*!********************!*\
  !*** ./example.js ***!
  \********************/
/***/ function(module, exports, require) {

	var Worker = require(/*! worker!./worker */ 1);
	var worker = new Worker;
	worker.postMessage("b");
	worker.onmessage = function(event) {
		var templateB = event.data; // "This text was generated by template B"
	}

/***/ },

/***/ 1:
/*!**************************************************************************************!*\
  !*** (webpack)/~/worker-loader!./worker.js ***!
  \**************************************************************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return new Worker(require.modules.c + "hash.worker.js");
	};

/***/ }
/******/ })

```

# js/[hash].worker.js

``` javascript
/******/ (function webpackBootstrap(modules) {
/******/ 	var installedModules = {};
/******/ 	function require(moduleId) {
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/ 		modules[moduleId].call(null, module, module.exports, require);
/******/ 		module.loaded = true;
/******/ 		return module.exports;
/******/ 	}
/******/ 	require.e = function requireEnsure(chunkId, callback) {
/******/ 		if(installedChunks[chunkId] === 1) return callback.call(null, require);
/******/ 		importScripts(""+chunkId+".bundle.js");
/******/ 		callback.call(null, require);
/******/ 	};
/******/ 	require.modules = modules;
/******/ 	require.cache = installedModules;
/******/ 	var installedChunks = {0:1};
/******/ 	this["webpackChunk"] = function webpackChunkCallback(chunkIds, moreModules) {
/******/ 		for(var moduleId in moreModules)
/******/ 			modules[moduleId] = moreModules[moduleId];
/******/ 		for(var i = 0; i < chunkIds.length; i++)
/******/ 			installedChunks[chunkIds[i]] = 1;
/******/ 	};
/******/ 	return require(0);
/******/ })({
/******/ c: "",

/***/ 0:
/*!*******************!*\
  !*** ./worker.js ***!
  \*******************/
/***/ function(module, exports, require) {

	onmessage = function(event) {
		var template = event.data;
		require.e/* require */(1, function(require) { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [require(/*! ../require.context/templates */ 1)("./" + event.data)]; (function(tmpl) {
			postMessage(tmpl());
		}.apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__));});
	}
	

/***/ }
/******/ })

```

# js/1.[hash].worker.hs

``` javascript
webpackChunk([1], {

/***/ 1:
/*!*********************************************!*\
  !*** ../require.context/templates ^\.\/.*$ ***!
  \*********************************************/
/***/ function(module, exports, require) {

	var map = {
		"./a": 2,
		"./a.js": 2,
		"./b": 3,
		"./b.js": 3,
		"./c": 4,
		"./c.js": 4
	};
	function webpackContext(req) {
		return require(webpackContextResolve(req));
	};
	function webpackContextResolve(req) {
		return map[req] || (function() { throw new Error("Cannot find module '" + req + "'.") }());
	};
	webpackContext.keys = function webpackContextKeys() {
		return Object.keys(map);
	};
	webpackContext.resolve = webpackContextResolve;
	module.exports = webpackContext;
	

/***/ },

/***/ 2:
/*!*****************************************!*\
  !*** ../require.context/templates/a.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template A";
	}

/***/ },

/***/ 3:
/*!*****************************************!*\
  !*** ../require.context/templates/b.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template B";
	}

/***/ },

/***/ 4:
/*!*****************************************!*\
  !*** ../require.context/templates/c.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template C";
	}

/***/ }

})
```

# Info

## Uncompressed

```
Hash: c7ce795e4c2122d3f175fa426dbb3130
Time: 72ms
           Asset  Size  Chunks  Chunk Names
  hash.worker.js  1711                     
1.hash.worker.js  1589                     
       output.js  1579       0  main       
chunk    {0} output.js (main) 302
    [0] ./example.js 206 [built] {0}
    [1] (webpack)/~/worker-loader!./worker.js 96 [not cacheable] [built] {0}
        cjs require worker!./worker [0] ./example.js 1:13-39
Child worker:
    Hash: ac1f44dac199ee427792d65ff79c83c3
               Asset  Size  Chunks  Chunk Names
      hash.worker.js  1711       0  main       
    1.hash.worker.js  1589       1             
    chunk    {0} hash.worker.js (main) 168
        [0] ./worker.js 168 [built] {0}
    chunk    {1} 1.hash.worker.js 463 {0} 
        [1] ../require.context/templates ^\.\/.*$ 217 [built] {1}
            amd require context ../require.context/templates [0] ./worker.js 3:1-5:3
        [2] ../require.context/templates/a.js 82 [built] {1}
            context element ./a [1] ../require.context/templates ^\.\/.*$
            context element ./a.js [1] ../require.context/templates ^\.\/.*$
        [3] ../require.context/templates/b.js 82 [built] {1}
            context element ./b [1] ../require.context/templates ^\.\/.*$
            context element ./b.js [1] ../require.context/templates ^\.\/.*$
        [4] ../require.context/templates/c.js 82 [built] {1}
            context element ./c [1] ../require.context/templates ^\.\/.*$
            context element ./c.js [1] ../require.context/templates ^\.\/.*$
```

## Minimized (uglify-js, no zip)

```
Hash: c7ce795e4c2122d3f175fa426dbb3130
Time: 215ms
           Asset  Size  Chunks  Chunk Names
  hash.worker.js   561                     
1.hash.worker.js   531                     
       output.js   418       0  main       
chunk    {0} output.js (main) 302
    [0] ./example.js 206 [built] {0}
    [1] (webpack)/~/worker-loader!./worker.js 96 [not cacheable] [built] {0}
        cjs require worker!./worker [0] ./example.js 1:13-39
Child worker:
    Hash: ac1f44dac199ee427792d65ff79c83c3
               Asset  Size  Chunks  Chunk Names
      hash.worker.js   561       0  main       
    1.hash.worker.js   531       1             
    chunk    {0} hash.worker.js (main) 168
        [0] ./worker.js 168 [built] {0}
    chunk    {1} 1.hash.worker.js 463 {0} 
        [1] ../require.context/templates ^\.\/.*$ 217 [built] {1}
            amd require context ../require.context/templates [0] ./worker.js 3:1-5:3
        [2] ../require.context/templates/a.js 82 [built] {1}
            context element ./a [1] ../require.context/templates ^\.\/.*$
            context element ./a.js [1] ../require.context/templates ^\.\/.*$
        [3] ../require.context/templates/b.js 82 [built] {1}
            context element ./b [1] ../require.context/templates ^\.\/.*$
            context element ./b.js [1] ../require.context/templates ^\.\/.*$
        [4] ../require.context/templates/c.js 82 [built] {1}
            context element ./c [1] ../require.context/templates ^\.\/.*$
            context element ./c.js [1] ../require.context/templates ^\.\/.*$
```